#! /bin/bash

successed=$1
username=$2
passwd=$3

update_pam=/usr/share/nfs-domain-client/update_pam.sh
login_user=/usr/share/nfs-domain-client/user_login.sh
logfile=/var/log/nfs-domain-client/post_add_domain.log

if [ ! -f $logfile ]; then 
    touch $logfile
    chmod 755 $logfile
fi

echo $(date "+%Y-%m-%d %H:%M:%S") "post_add_doamin args successed($successed), username($username)" >> $logfile
MASTER_PUB=/etc/salt/pki/minion/minion_master.pub
MASTER_PUB2=/var/lib/salt/pki/minion/minion_master.pub
MASTER_CACHE=/var/cache/salt

if [ $successed -eq 0 ]; then
	# 停止服务
	systemctl stop salt-minion
	systemctl disable salt-minion
	# 清理master公钥
	if [ -f ${MASTER_PUB} ]; then
		rm ${MASTER_PUB}
	fi
	if [ -f ${MASTER_PUB2} ]; then
		rm ${MASTER_PUB2}
	fi
	if [ -f ${MASTER_CACHE} ]; then
		rm ${MASTER_CACHE} -rf
	fi

	ipa-client-install --uninstall --unattended

	#未加域情况，停用NS中sss, 停用sssd服务
	echo "disable sssd.service" >> $logfile
	systemctl disable sssd.service

	num=`grep -c "sudoers:.*sss" /etc/nsswitch.conf `
	if [ $num -ne 0 ]; then  
		echo "disable sudoers: sss in nsswitch.conf" >> $logfile
		sed -i "/^sudoers/ s/^\(.*\)$/#\1/g" /etc/nsswitch.conf
	fi
else
	# update realm cache
	systemctl restart realmd >> $logfile

	# add pam setting
	$update_pam

	# 登录域用户
	/usr/bin/expect $login_user $username $passwd &

	# call CacheUser
	dbus-send --system --dest=org.freedesktop.Accounts --type=method_call \
                --print-reply /org/freedesktop/Accounts \
                org.freedesktop.Accounts.CacheUser string:$username >> $logfile	

	# 清除网络设置resolv.conf编辑限制
	sed -i "/dns=none/d" /etc/NetworkManager/NetworkManager.conf
fi
