#! /bin/bash

# 发送通知
send_notify () {
	# 设置通知标题和内容
	title=$1
	message=$2

	# 调用 notify-send 命令发送通知
	notify-send "$title" "$message"
}

# 检查用户登录
# 参数为 用户类型 域名 用户名 密码
check_login () {
	ipa_domain="server.os-domain.cpu-os.com"
	user=""
	password=""

	if [ "$2" == "" ]
	then
		echo "请输入服务端IP地址!"
		exit 1
	fi

	# 设置 FreeIPA 域名和用户名，域名从hosts文件获取
	host_domain=`grep $2 /etc/hosts | head -n 1 | awk '{print $2}'`
	if [ -n "$host_domain" ]
	then
		ipa_domain=$host_domain
	fi

	if [ "$1" == "-r" ]
	then
		user="admin"
		password="12345678"
	elif [ "$1" == "-u" ]
	then
		user=$3
		password=$4
	fi

	# 使用 kinit 命令获取 Kerberos 认证票据
	echo $password | kinit $user > /dev/null

	# 检查 Kerberos 认证票据是否获取成功，如果成功则输出成功消息，否则输出失败消息
	if [ $? -eq 0 ]
	then
		send_notify "登录检查" "账户$user可以登录"
	else
		send_notify "登录检查" "账户$user登录失败!"
	fi

	# 销毁 Kerberos 认证票据
	kdestroy
}

# 加域后检查
# 参数为 域服务端IP 用户名 密码
post_add_domain () {
	check_login "-r" $1
	check_login "-u" $1 $2 $3	# 新用户需要修改密码才能登录
}

post_add_domain $1 $2 $3

